@import url('https://fonts.googleapis.com/css?family=Muli&display=swap');
@import url('https://fonts.googleapis.com/css?family=Quicksand&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    font-family: 'Roboto';
}
html{
    scroll-behavior: smooth;
}
h1{
    font-size: 2.5rem;
    font-weight: 700;
    color: rgb(0, 0, 0);
}
span{
    font-size: 0.9rem;
    color: bisque;
}
h2{
    color: rgb(255, 255, 255);
    font-size: 3.4rem;
    letter-spacing: 1px;
}
h6{
    font-size: 1.1rem;
    color: rgb(5, 5, 4);
}
nav{
    position: fixed;
    width: 100%;
    background-color: #fff;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 1vw 8vw;
    align-items: center;
    z-index: 999;
    box-shadow: 2px 2px 10px rgb(0,0,0,0.15);
}
nav img{
    width: 150px;
    cursor: pointer;
}
nav .navigation ul{
    display: flex;
    justify-content: flex-end;
    align-items: center;
}
nav .navigation ul li{
    list-style: none;
    margin-left: 30px;
}
nav .navigation ul li a{
    text-decoration: none;
    color: rgb(0, 0, 0);
    font-size: 16px;
    font-weight: 500;
    transition: 0.3s;
}
nav .navigation ul li a:hover{
    color: darkcyan;
}
/* Home */
#home{
    
    width: 100%;
    height: 20vh;
    background-size: cover;
    background-position: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding-top: 40px;
}
#home h2{
    width: 50%;
    color: #000000;
    font-size: 1.2rem;
    line-height: 25px;
}
/*city info*/
#city{
    background-image: linear-gradient(rgba(255, 166, 0, 0.412),rgba(255, 173, 73, 0.445))
    ,url(hqdefault.jpg);
    width: 100%;
    height: 60vh;
    background-size: cover;
    background-position: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding-top: 40px;
}
#city p{
    width: 50%;
    color: #fff;
    font-size: 1.2rem;
    line-height: 25px;
}
.col{
    float: left;
    width: 25%;
    padding: 5px;
}
.col h2{
    color: black;
    text-align: center;
    font-size: 2.5rem;
}
.row::after{
    content:"";
    display: table;
    clear: both;
}
.col img{
    width: 40%;
    height: 40%;
    transition: transform 0.5s;
}
.col h6{
    font-size: 1.5rem;
    color: #fff;
}
.col a img:hover{
    transform: translateY(-10px);
}
#image{
    background-image: linear-gradient(rgba(255, 166, 0, 0.412),rgba(255, 173, 73, 0.445))
    ,url(mahakaleshwar-temple.jpg);
    width: 100%;
    height: 60vh;
    background-size: cover;
    background-position: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding-top: 40px;
}
/*about*/
#history{
    box-sizing: border-box;
    text-align: center;
    font-size: 1.2rem;
    font-weight: 600;
    padding: 13px 0 7px 0;
    margin-top: 50px;
    margin-bottom: 50px;
    justify-content: center;
}
.text{
    margin-top: 20px;
    margin-left: 20%;
    width: 60%;
    text-align: justify;
}
/*temple*/
#Temple{
    padding: 8vw 8vw 0 8vw;
    text-align: center;
}#Temple h2{
    font-size: 2.5rem;
    color: orange;
}
.temple-box{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    grid-gap: 1.2rem;
    margin-top: 50px;
}
.temple{
    text-align: start;
    background-color: #fff;
    position: relative;
}
.temple h6{
    font-size: 1.5rem;
}
.temple img{
    width: 100%;
    height: 65%;
    display: block;
    margin: auto;
    border: 0;
    border-radius: 15px;
    background-size:cover;
    background-position: center;
    transition: transform 0.5s;
}
.temple img:hover{
    transform: translateY(-10px);
}
.details{
    width: 100%;
    height: 65%;
    top:0;
    left: 0;
    border-radius: 15px;
    position: absolute;
    background: rgba(0, 0, 0, 0.6);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    opacity: 0;
    transition: 0.5s;
}
.details:hover{
    opacity: 1;
}
.details i{
    color: #fff;
    font-size: 2rem;
    margin-top: 20px;
    margin-bottom: 20px;
}
#live{
    margin-top: 50px;
    margin-bottom: 50px;
    text-align: center;
    justify-content: center;
    align-items: center;
}
iframe{
    width:580px; 
    height:325px;
    margin-top: 20px;
}
#live video{
    width: 60%px;
    height: 50vh;
}
#developer{
    margin-top: 50px;
    font-family: sans-serif;
    text-align: center;
    margin-bottom: 60px;
}
#developer h2{
    color: black;
    font-size: 1.5rem;
}
#developer p{
    font-size: 1.1rem;
}
#developer i{
    font-size: 2rem;
    margin-left: 10px;
    margin-right: 10px;
    margin-top: 5px;
    color: black;
}
#developer img{
    width: 20%;
}
/*footer*/
#footer{
     
    width: 100%;
    height: 60vh;
    background-size: cover;
    background-position: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding-top: 40px;
}
#footer p{
    width: 50%;
    color: #fff;
    font-size: 1.2rem;
    line-height: 25px;
}
#footer h2{
    color: rgb(255, 255, 255);
    font-size: 2.5rem;
    letter-spacing: 1px;
}
/*hotel*/
#hotel{
    margin-top: 20px;
    align-items: center;
}
.hotel h1{
    font-size: 3rem;
    color: black;
}
.hotel h2{
    font-size: 2rem;
    color: black;
}
.hotel p{
    font-size: 1.4rem;
    color: black;
}
.hotel {
    display: flex;
    border: 1px solid #ccc;
    margin: 10px;
    padding: 10px;
    background-color: white;
    color: black;
}
.hotel img {
    max-width: 300px;
    max-height: 250px;
    margin-right: 20px;
}
button{
    width: 80px;
    height: 5vh;
   border:none;
   outline:none;
   padding:10px 12 px;
   border-radius: 10px;
   position: absolute;
   right: 70px;
   background-color: orange;
   color: black;
}
/*places*/
#places h2{
    color: black;
}
.container {
    max-width: 90%;
    margin: 20px auto;
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}
.odd {
    margin: 20px 0;
    background-color: rgba(255, 166, 0, 0.406);
    padding: 5px;
    max-width: 100%;
    padding: 10px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}
.even {
    margin: 20px 0;
    background-color: white;
    padding: 5px;
    max-width: 100%;
    padding: 10px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}
.odd p {
    font-size: 16px;
}
.even p {
    font-size: 16px;
}
.info,.img{
    width: 50%;
}
.even p,h2{
    text-align: left;
}
img{
    width: 500px;
}
.adi h2{
    text-align: center;
    
}




